Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #1759 (closed defect: fixed)

Opened 10 years ago

Last modified 10 years ago

conflicting definitions for time_t

Reported by: mwarning Assigned to: kris
Priority: major Milestone: 0.99.9
Component: Tango Version: 0.99.8 Sean
Keywords: Cc:

Description

time_t is defined in tango.stdc.time and tango.stdc.posix.timer.

This causes a conflict in tango.stdc.posix.sys.time.

The tested compiler is 1.049/1.050svn.

revision: net.SocketConduit has been moved to net.device.Socket
revision: net.SocketConduit has been moved to net.device.Socket
/home/user/dmd-1.x/src/trunk/build/user/../../user/tango/stdc/posix/sys/time.di(48): Error: tango.stdc.time.time_t at /home/user/trunk/build/user/../../user/tango/stdc/time.d(49) conflicts with tango.stdc.posix.timer.time_t at /home/user/trunk/build/user/../../user/tango/stdc/posix/timer.d(11)
/home/user/trunk/build/user/../../user/tango/stdc/posix/sys/time.di(48): Error: tango.stdc.time.time_t at /home/user/trunk/build/user/../../user/tango/stdc/time.d(49) conflicts with tango.stdc.posix.timer.time_t at /home/user/trunk/build/user/../../user/tango/stdc/posix/timer.d(11)
make[3]: *** [tango.stdc.posix.sys.select.dep] Error 1
make[2]: *** [build] Error 2
make[1]: *** [all] Error 2
make: *** [allVersions] Error 2

Change History

11/06/09 00:06:59 changed by mwarning

Fix from a code snipped from digited:

--- user/tango/stdc/posix/timer.d    (revision 5027)
+++ user/tango/stdc/posix/timer.d    (working copy)
@@ -6,10 +6,10 @@
 module tango.stdc.posix.timer;
 import tango.stdc.config;
 
+import tango.stdc.time;
+
 extern(C):
 
-alias c_long time_t;
-

11/07/09 19:34:59 changed by larsivi

This does not seem to be an issue with the combine branch, keeping it open since a later merge may bring it forth though.

11/08/09 17:29:54 changed by larsivi

  • status changed from new to closed.
  • resolution set to fixed.

(In [5034]) name conflict fix, not applicable to combine branch, closes #1759